statelessrule("updatePrioroty", model.Event.BEFORE_FLUSH, function(ctx) {
  return safeCall(ctx.issue,"isChanged", ["Priority"], false);
}, function(ctx) {
  safeCall(ctx.issue,"set", ["PriorityUpdated", now()], null);
}).addRequirements(requirements([{name: "Issue", fields: [{name: "PriorityUpdated", type: {name: "instant", primitive: true}}, {name: "Priority", type: {name: "EnumField"}}]}]));